# FirstSpirit Sample: DataAccessPlugin - SOAP

## General Information

   This directory contains a sample FirstSpirit component, _DataAccessPlugin - SOAP_.
   This component provides a data access plug-in which can be configured to use an
   SOAP web service as a data source.
   
   For detailed information on the implementation and deployment process of
   FirstSpirit Modules, please log in to a FirstSpirit server, click "Help" on the
   start page and navigate to "Plug-In Development".

## Purpose and Stability Disclaimer
   
   The code and supporting files located in this directory and its
   subdirectories are provided as-is and are not intended for use in a
   production environment; they are intended solely for reference and considered
   unstable, as their contents may change at any time without prior notice.
   Update procedures are not guaranteed to succeed; it is necessary to uninstall
   older versions of this module before installing a current version.
   
## Prerequisites

   In order to build this module, you must prepare a system that meets the
   following requirements:
   
### Software
   
   * AdoptOpenJDK 8u212 HotSpot JVM or higher (JDK)

### Optional
   
   The module is delivered for a specific FirstSpirit version (see fs-isolated-runtime dependency in build.gradle). 
   If the module is to be used with another FirstSpirit version, a few adjustments are necessary:
   
   You must make a specific fs-isolated-runtime\* jar available to
   the build environment by placing it in the project-local maven repository.
   
   ```
   mvn-local-repository/de/espirit/firstspirit/fs-isolated-runtime/{{firstSpiritVersion}}/fs-isolated-runtime-{{firstSpiritVersion}}.jar
   ```
   
   Make sure you set the same FirstSpirit version within the _build.gradle_ file for property _firstSpiritVersion_.,
   e.g. 5.2.190306.
   
   \* The fs-isolated-runtime jar is located in the server installation directory _{{serverRoot}}/data/fslib_
   
## Gradle

   This module is built with Gradle. Call "./gradlew" (or "gradlew.bat" on Windows) to
   initialize the build process. See README.firstspirit-module-gradle-plugin.md for more information
   on the FirstSpirit Module Gradle Plugin used by the "assembleFSM" Gradle task.

## Tasks

   Task | Description
   :---:|:-----------
   assembleFSM | Assembles an fsm archive containing the FirstSpirit module.