package com.espirit.core.samples.dataaccessplugin.soap;

import org.jetbrains.annotations.NotNull;
import org.jetbrains.annotations.Nullable;


/**
 * Server-side service for accessing service configurations.
 */
public interface ModuleService {

	/**
	 * Returns the configuration of the service, associated with the specified service name,
	 * or {@code null} if no such service has been configured.
	 *
	 * @param serviceName The name of the service to return.
	 * @return The service configuration with the given name, or {@code null}.
	 */
	@Nullable
	ServiceConfiguration getConfiguration(@NotNull String serviceName);
}
