package com.espirit.core.samples.dataaccessplugin.soap;

import com.espirit.moddev.components.annotations.ServiceComponent;
import de.espirit.firstspirit.module.ServerEnvironment;
import de.espirit.firstspirit.module.Service;
import de.espirit.firstspirit.module.ServiceProxy;
import de.espirit.firstspirit.module.descriptor.ServiceDescriptor;

import org.jetbrains.annotations.NotNull;
import org.jetbrains.annotations.Nullable;


/**
 * {@link ModuleService} implementation.
 */
@ServiceComponent(name = "SOAPModuleService", displayName = "Module Service", configurable = ModuleServiceConfiguration.class)
public class ModuleServiceImpl implements ModuleService, Service<ModuleService> {

	private boolean _running;
	private ServerEnvironment _env;


	@Override
	public void start() {
		_running = true;
	}


	@Override
	public void stop() {
		_running = false;
	}


	@Override
	public boolean isRunning() {
		return _running;
	}


	@Nullable
	@Override
	public Class<? extends ModuleService> getServiceInterface() {
		return ModuleService.class;
	}


	@Nullable
	@Override
	public Class<? extends ServiceProxy<ModuleService>> getProxyClass() {
		return null;
	}


	@Override
	public void init(final ServiceDescriptor descriptor, final ServerEnvironment env) {
		_env = env;
	}


	@Override
	public void installed() {
	}


	@Override
	public void uninstalling() {
	}


	@Override
	public void updated(final String oldVersionString) {
	}


	@Nullable
	@Override
	public ServiceConfiguration getConfiguration(@NotNull final String serviceName) {
		for (final ServiceConfiguration service : ModuleServiceConfiguration.readServices(_env)) {
			if (serviceName.equals(service.serviceName)) {
				return service;
			}
		}
		return null;
	}
}
