package com.espirit.core.samples.dataaccessplugin.soap;

import de.espirit.firstspirit.access.Language;
import de.espirit.firstspirit.agency.Image;
import de.espirit.firstspirit.agency.ImageAgent;
import de.espirit.firstspirit.agency.SpecialistsBroker;
import de.espirit.firstspirit.client.plugin.dataaccess.DataSnippetProvider;

import org.jetbrains.annotations.NotNull;
import org.jetbrains.annotations.Nullable;


public class SOAPDataSnippetProvider implements DataSnippetProvider<SOAPObject> {

	private final SpecialistsBroker _broker;


	public SOAPDataSnippetProvider(@NotNull final SpecialistsBroker broker) {
		_broker = broker;
	}


	@Nullable
	@Override
	public Image<?> getIcon(@NotNull final SOAPObject object) {
		return null;
	}


	@Nullable
	@Override
	public Image<?> getThumbnail(@NotNull final SOAPObject object, @Nullable final Language language) {
		final String image = object.getSnippetImage();
		if (image != null) {
			return _broker.requireSpecialist(ImageAgent.TYPE).getImageFromUrl(image);
		}
		return null;
	}


	@NotNull
	@Override
	public String getHeader(@NotNull final SOAPObject object, @Nullable final Language language) {
		return object.getSnippetHeader();
	}


	@Nullable
	@Override
	public String getExtract(@NotNull final SOAPObject object, @Nullable final Language language) {
		return object.getSnippetExtract();
	}
}
