package com.espirit.core.samples.dataaccessplugin.soap;

import de.espirit.firstspirit.client.plugin.report.Parameter;

import java.io.Serializable;
import java.util.List;


/**
 * Configuration for a SOAP web service used in the {@link SOAPDataAccessPlugin}.
 */
public class ServiceConfiguration implements Serializable {

	private static final long serialVersionUID = 1L;

	public String serviceName;
	public String wsdlUrl;
	public String endpoint;
	public String binding;

	public String operationById;
	public String operationById_evaluateSetId;
	public String operationById_evaluateHeader;
	public String operationById_evaluateExtract;
	public String operationById_evaluateImage;

	public String operationList;
	public List<ParameterConfiguration> operationList_parameter;
	public String operationList_evaluateEntry;
	public String operationList_evaluateEntryId;


	@Override
	public String toString() {
		if (serviceName != null && !serviceName.isEmpty()) {
			return serviceName;
		}
		return "<unnamed>";
	}


	/**
	 * Configuration for a parameter used in a SOAP request.
	 */
	public static class ParameterConfiguration implements Serializable {

		private static final long serialVersionUID = 1L;

		public Parameter<?> parameter;
		public String evaluateSetValue;
	}
}
