package com.espirit.core.samples.dataaccessplugin.soap;

import org.jetbrains.annotations.NotNull;
import org.jetbrains.annotations.Nullable;

import java.util.HashMap;
import java.util.Map;


/**
 * Simple map of properties, usable in the expression evaluation.
 */
public class ServiceObjectMap implements PropertyAccessor {

	private final Map<String, Object> _object;


	public ServiceObjectMap() {
		_object = new HashMap<>();
	}


	@Nullable
	@Override
	public Object getProperty(@NotNull final String name) {
		return _object.get(name);
	}


	@Override
	public void setProperty(@NotNull final String name, @Nullable final Object value) {
		_object.put(name, value);
	}
}
