package com.espirit.core.samples.dataaccessplugin.soap;

import java.util.LinkedHashMap;
import java.util.Map;


/**
 * Simple LRU cache with definable capacity.
 *
 * @param <K> The key type.
 * @param <V> The value type.
 */
public class SimpleLRUCache<K, V> extends LinkedHashMap<K, V> {

	private static final long serialVersionUID = 1L;

	private final int _capacity;


	public SimpleLRUCache(final int capacity) {
		super(capacity + 1, 1.0f, true);
		_capacity = capacity;
	}


	@Override
	protected boolean removeEldestEntry(final Map.Entry<K, V> eldest) {
		return size() > _capacity;
	}

}
